ru.bitel.oss.systems.inventory.subscription.common.bean

## Class SubscriptionType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.systems.inventory.subscription.common.bean.SubscriptionType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, Tied

      public class SubscriptionType
      extends IdTitle
      implements Tied

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ru.bitel.common.model.Tied

      `Tied.TieResolver<T,TT>, Tied.TieUnresolvedException, Tied.Utils<T,TT extends Tied>`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SubscriptionMode>` | `getActivateModeList()`
    `java.lang.String` | `getComment()`
    `long` | `getContractGroups()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.util.Set<java.lang.Integer>` | `getDepends()`
    `java.lang.String` | `getDescription()`
    `java.util.Set<java.lang.Integer>` | `getIncompatible()`
    `int` | `getServiceId()`
    `java.util.Set<java.lang.Integer>` | `getTariffIdSet()`
    `boolean` | `isEnable()`
    `boolean` | `isHideActivationForCustomer()`
    `boolean` | `isHideForCustomer()`
    `void` | `setActivateModeList(java.util.List<SubscriptionMode> activateModeList)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractGroups(long contractGroups)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setDepends(java.util.Set<java.lang.Integer> depends)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setEnable(boolean enable)`
    `void` | `setHideActivationForCustomer(boolean hideActivationForCustomer)`
    `void` | `setHideForCustomer(boolean hideForCustomer)`
    `void` | `setIncompatible(java.util.Set<java.lang.Integer> incompatible)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setTariffIdSet(java.util.Set<java.lang.Integer> tariffIdSet)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.Tied

      `getId`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### SubscriptionType

          public SubscriptionType()

  - ### Method Detail

    - #### getTariffIdSet

          public java.util.Set<java.lang.Integer> getTariffIdSet()

    - #### setTariffIdSet

          public void setTariffIdSet(java.util.Set<java.lang.Integer> tariffIdSet)

    - #### getContractGroups

          public long getContractGroups()

    - #### setContractGroups

          public void setContractGroups(long contractGroups)

    - #### getDepends

          public java.util.Set<java.lang.Integer> getDepends()

      Specified by:
        `getDepends` in interface `Tied`

    - #### setDepends

          public void setDepends(java.util.Set<java.lang.Integer> depends)

    - #### getIncompatible

          public java.util.Set<java.lang.Integer> getIncompatible()

      Specified by:
        `getIncompatible` in interface `Tied`

    - #### setIncompatible

          public void setIncompatible(java.util.Set<java.lang.Integer> incompatible)

    - #### getActivateModeList

          public java.util.List<SubscriptionMode> getActivateModeList()

    - #### setActivateModeList

          public void setActivateModeList(java.util.List<SubscriptionMode> activateModeList)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### isEnable

          public boolean isEnable()

    - #### setEnable

          public void setEnable(boolean enable)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)

    - #### isHideForCustomer

          public boolean isHideForCustomer()

    - #### setHideForCustomer

          public void setHideForCustomer(boolean hideForCustomer)

    - #### isHideActivationForCustomer

          public boolean isHideActivationForCustomer()

    - #### setHideActivationForCustomer

          public void setHideActivationForCustomer(boolean hideActivationForCustomer)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)